# graylog2

#### Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with graylog2](#setup)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
5. [Limitations - OS compatibility, etc.](#limitations)

## Overview

Minimal module for Install graylog2 + dependenced java, mongodb-server, elasticsearch.

## Module Description

Minimal module for install graylog2 server ang web
params.pp Used parameters from Hiera (see example in files) or set defaults

## Setup

###The module manages the following

* graylog2 repository files.
* graylog2 package.
* graylog2 configuration file.
* graylog2 service.
* graylog2 deps.


## Usage

### Install All

Add in site.pp like this 
! WARNING ! : May modify installed  java, mongodb, elasticsearch.

```puppet
node 'modtest.node' {
  class { 'graylog2::install': }
}
```

### Steps from install.pp

#### Create repos only
```puppet
node 'modtest.node' {
  class { 'graylog2::repos': }
}
```

#### Install deps for graylog2

```puppet
node 'modtest.node' {
  class { 'graylog2::depinstall': }
}
```

#### Install graylog2 only

```puppet
node 'modtest.node' {
  class { 'graylog2::installgl': }
}
```

#### Create ang Control elasticsearch + graylog2 configs and ES+GL2+Deps services on node.
```puppet
node 'modtest.node' {
  class { 'graylog2::configure': }
}
```

### Disable Graylog2 services 
```puppet
node 'modtest.node' {
  class { 'graylog2::stopgl': }
}
```

## Reference

params.pp use parameters from Hiera (see example in files) or set defaults.
For the required graylog2 config edit params.pp, graylog_server.conf.erb, graylog_web.conf.erb

## Limitations

The module has been tested on:
* Puppet 3.8
* CentOS 6.5 x86_64
