# == Class: graylog2::params
#
# === Authors
#
# Vasiliy V. G.
#
# === Copyright
#
# Copyright 2015 BottleRocket
#

class graylog2::params {
  $elasticsearch_version                 = hiera('elasticsearch::version', '1.6')
  $elasticsearch_cluster_name            = hiera('elasticsearch::clustername', 'br')
  $elasticsearch_node_name               = hiera('elasticsearch::node_name', 'modtest')
  $elasticsearch_index_number_of_shards  = hiera('elasticsearch::index_number_of_shards', '5')
  $elasticsearch_index_number_of_replicas = hiera('elasticsearch::index_number_of_replicas', '2')
  $java_package                          = hiera('java_package::packagename', 'java-1.7.0-openjdk')
  $mongodb_version                       = hiera('mongodb::version', '3.0')
  $mongodb_package                       = hiera('mongodb::package', '3.0.3')
  $graylog2_repo                         = hiera('graylog2::repo', 'https://packages.graylog2.org/repo/packages/graylog-1.0-repository-el6_latest.rpm')
  $graylog2_password_secret              = hiera('graylog2::password_secret', 'glpas')
  $graylog2_root_password_sha2           = hiera('graylog2::root_password_sha2', 'd172a652e3fa81c2381df3d99e780187763af215f2d96f29c0b293b4a6701e7e') #Gl_paswd1
  $graylog2_elasticsearch_config_file    = hiera('graylog2::elasticsearch_config_file', '/etc/elasticsearch/elasticsearch.yml')
  $graylog2web_application_secret        = hiera('graylog2web::application.secret', 'qwerty123456qwerty')
}