# == Class: graylog2::depinstall
# Install deps for graylog2
# 
# === Authors
#
# Vasiliy V. G.
#
# === Copyright
#
# Copyright 2015 BottleRocket
#

class graylog2::depinstall  inherits graylog2::params {

  package { $java_package:
      ensure => 'installed'
  } ->

  package { "mongodb-org-${mongodb_package}":
      ensure => 'installed'
  } ->

  package { "mongodb-org-server-${mongodb_package}":
      ensure => 'installed'
  } ->

  package { 'elasticsearch':
      ensure => 'installed'
  }
}
